<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $smof_data,
$rocknrolla_theme_options;

$wooID = get_option( 'woocommerce_shop_page_id' );

   $main_shop_layout = (($smof_data['rnr_enable_wc_sidebar'])) ? 'rnr-col-9-12' : 'rnr-col-1-1';
   $single_product_layout = (($smof_data['rnr_enable_wc_single_sidebar'])) ? 'rnr-col-3-12' : '';


get_header();
 get_template_part('menu_section'); 



if ( empty( $page_layout ) ) {
	$page_layout = 'full';
}

	
				
				$shop_columns = isset($_GET['shop_columns']) ? $_GET['shop_columns'] : get_option('woocommerce_catalog_columns');
				
				$product_categories = false;
				
				$term 				= get_queried_object();
				$parent_id 		= empty( $term->term_id ) ? 0 : $term->term_id;
				$categories 	= get_terms('product_cat', array('hide_empty' => 0, 'parent' => $parent_id));
				
				/* Shop Page */
			  if ( is_shop() && (get_option('woocommerce_shop_page_display') == 'subcategories') ) $product_categories = 'only';
			  if ( is_shop() && ($smof_data['rnr_enable_wc_categories'] == 1) ) $product_categories = 'both';
			  
			  /* Category Page */
			  if ( is_product_category() && (get_option('woocommerce_category_archive_display') == 'subcategories') ) $product_categories = 'only';
			  if ( is_product_category() && (get_option('woocommerce_category_archive_display') == 'both') ) $product_categories = 'both';
			
			  if ( is_product_category() && (get_woocommerce_term_meta($parent_id, 'display_type', true) == 'subcategories' ) ) $product_categories = 'only';
			  if ( is_product_category() && (get_woocommerce_term_meta($parent_id, 'display_type', true) == 'both') ) $product_categories = 'both';




?>


<div id="rnr-page">
	<div class="rnr-page-inner">    

		<div class="rnr-grid container">	
           <div class="section">	
			<div class="rnr-col-1-1">            
	            <!-- START TITLE -->	            
				<div class="title">
				  <h1 class="header-text">
                  	<?php if ( function_exists( 'is_woocommerce' ) && is_woocommerce()) {
							 
							  echo woocommerce_page_title();
						  }
					?>
                  
                  </h1>
                   
                </div><!-- END TITLE -->  	                           
			</div><!-- END SIXTEEN COLUMNS -->  
           </div><!-- END ROW -->         
          </div><!-- END CONTAINER -->       
    
     
<?php 
	if ($categories && (get_option('woocommerce_shop_page_display') == 'both' )) {
	echo '<ul class="shop_subcategories">';
	   woocommerce_output_product_categories(); 
	echo '</ul>';
	}
?>
<?php
	/**
	 * woocommerce_before_main_content hook
	 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
	 */
	do_action('woocommerce_before_main_content');
?>

        <div class="theme-content no-padding" itemprop="mainContentOfPage">
          <section id="shop-page">
		   <div id="rnr-page-id-<?php echo $wooID; ?>" class="rnr-page-wrapper <?php echo 'rnr-grid container'; ?> vc_row-fluid">
           
           <div class=" <?php echo $main_shop_layout; ?> ">
    	<div class="shop-options">
		    <div class="rnr-grid container">
		        <div class="rnr-col-1-2 breadcrumbs">
		            <?php do_action('rnr_woocommerce_product_breadcrumb'); ?>
                    
                    <div class="column-switch">
                        <span><?php _e('Show: ', 'rocknrolla'); ?></span>
                        <a href="<?php echo add_query_arg(array ('shop_columns' => '6')); ?>" class="sgrid <?php if ($shop_columns == '6') { echo 'active'; } ?>">6</a>
                        <a href="<?php echo add_query_arg(array ('shop_columns' => '5')); ?>" class="sgrid <?php if ($shop_columns == '5') { echo 'active'; } ?>">5</a>
                        <a href="<?php echo add_query_arg(array ('shop_columns' => '4')); ?>" class="sgrid <?php if ($shop_columns == '4') { echo 'active'; } ?>">4</a>
                        <a href="<?php echo add_query_arg(array ('shop_columns' => '3')); ?>" class="sgrid <?php if ($shop_columns == '3') { echo 'active'; } ?>">3</a>
                        <a href="<?php echo add_query_arg(array ('shop_columns' => '2')); ?>" class="sgrid <?php if ($shop_columns == '2') { echo 'active'; } ?>">2</a>
                    </div>
		        </div>
		        <div class="rnr-col-1-2 ordering">
                <?php if ( have_posts() ) : ?>
                    <?php do_action( 'rnr_before_shop_loop_catalog_ordering' ); ?>
                		<?php do_action( 'rnr_before_shop_loop_result_count' ); ?>
                <?php endif; ?>
		        </div>
		    </div>
		</div>
		
		<?php do_action( 'woocommerce_before_shop_loop' ); ?>
		
		

		<?php if ( have_posts() ) : ?>
			<?php woocommerce_product_loop_start(); ?>
				<?php
					if (!is_paged() && $categories && ($product_categories === 'only')) {
						woocommerce_product_subcategories(); 
					} 
				?>
				<?php while ( have_posts() ) : the_post(); ?>

					<?php wc_get_template_part( 'content', 'product' ); ?>
					
				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>
			<?php
				/**
				 * woocommerce_after_shop_loop hook
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop');
			?>

		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php wc_get_template( 'loop/no-products-found.php' ); ?>

		<?php endif; ?>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action('woocommerce_after_main_content');
	?>   
    
          </div>      
   
	<?php 
	 if ( $$main_shop_layout != 'rnr-col-1-1' ) {  ?>
	 <div class="sidebar-options  <?php echo $single_product_layout; ?> ">
	    <?php  get_sidebar( 'woocommerce' ); ?>
     </div>
	<?php  } ?>
    
		</div><!-- Page Wrapper -->  
 	</section>
   </div><!--Theme Content-->
		<div class="clearboth"></div>
		<div class="clearboth"></div>
	</div><!-- Page Inner -->	
</div><!--Page -->
<?php get_footer(); ?>