<?php
/**
 * Checkout Form
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

wc_print_notices();

// If checkout registration is disabled and not logged in, the user cannot checkout
if ( ! $checkout->enable_signup && ! $checkout->enable_guest_checkout && ! is_user_logged_in() ) {
	echo apply_filters( 'woocommerce_checkout_must_be_logged_in_message', __( 'You must be logged in to checkout.', 'woocommerce' ) );
	return;
}

// filter hook for include new pages inside the payment method
$get_checkout_url = apply_filters( 'woocommerce_get_checkout_url', wc_get_checkout_url () ); ?>


	<div class="rnr-grid container">
		<div class="half-row align-center">
			<?php do_action( 'woocommerce_before_checkout_form', $checkout ); ?>
		</div>
	</div>
	<div class="row">
			<form name="checkout" method="post" class="checkout" action="<?php echo esc_url( $get_checkout_url ); ?>" enctype="multipart/form-data">
				<div class="rnr-grid container">
					<div class="rnr-col-1-2 billing_shipping">
						<?php if ( sizeof( $checkout->checkout_fields ) > 0 ) : ?>
							<?php do_action( 'woocommerce_checkout_before_customer_details'); ?>
							<?php do_action( 'woocommerce_checkout_billing'); ?>
							<?php do_action( 'woocommerce_checkout_shipping'); ?>
							<?php do_action( 'woocommerce_checkout_after_customer_details'); ?>
						<?php endif; ?>
					</div>
					<div class="rnr-col-1-2 your-order clearfix">
						<section class="woocommerce-checkout-review-order clearfix" id="order_review">
							<?php do_action( 'woocommerce_checkout_before_order_review' ); ?>
							<?php do_action('woocommerce_checkout_order_review'); ?>
							<?php do_action( 'woocommerce_checkout_after_order_review' ); ?>
						</section>
					</div>
				</div>
			</form>
	</div>
	<?php do_action( 'woocommerce_after_checkout_form', $checkout ); ?>
