<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<div class="product-single">

<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>
<?php
	$shop_product_style = 'style1';
?>
<div class="single_product_bar">
	<div class="rnr-grid container">
		<div class="rnr-col-2-3 align-left">
			<?php do_action('rnr_woocommerce_product_breadcrumb'); ?>
		</div>
		<div class="rnr-col-1-3 align-right">
			<?php echo rnr_product_nav(); ?>
		</div>
	</div>
</div>
<div class="rnr-grid container">
<article itemscope id="product-<?php the_ID(); ?>" <?php post_class('post product-page '.$shop_product_style); ?>>
			<div class="rnr-col-1-2 product-gallery carousel-container">
				  
		    <?php
		        /**
		         * woocommerce_show_product_images hook
		         *
		         * @hooked woocommerce_show_product_sale_flash - 10
		         * @hooked woocommerce_show_product_images - 20
		         * 
		         */
		        do_action( 'woocommerce_before_single_product_summary' );
		    ?>
		    <?php
	          /**
	           * woocommerce_after_single_product_summary hook
	           *
	           * @hooked woocommerce_output_related_products - 20
	           */
	          do_action( 'woocommerce_after_single_product_summary' );
	      ?>
		  <?php do_action( 'woocommerce_product_thumbnails' ); ?>
		 	</div>
		  <div class="rnr-col-1-2 product-information">
		  	
				<?php
		  		/**
		  		 * woocommerce_before_single_product hook
		  		 *
		  		 * @hooked woocommerce_show_messages - 10
		  		 */
		  		 do_action( 'woocommerce_before_single_product' );
		  	?>  
		    <?php
	        /**
	        	 * woocommerce_single_product_summary hook
	        	 *
	        	 * @hooked woocommerce_template_single_title - 5
	        	 * @hooked woocommerce_template_single_rating - 10
	        	 * @hooked woocommerce_template_single_price - 10
	        	 * @hooked woocommerce_template_single_excerpt - 20
	        	 * @hooked woocommerce_template_single_add_to_cart - 30
	        	 * @hooked woocommerce_template_single_meta - 40
	        	 * @hooked woocommerce_template_single_sharing - 50
	        	 */
	        do_action( 'woocommerce_single_product_summary' );
		    ?>
		    
		  </div>
	<meta itemprop="url" content="<?php the_permalink(); ?>" />
</article><!-- #product-<?php the_ID(); ?> -->
</div>
<?php do_action( 'woocommerce_after_single_product' ); ?> 

</div>