<?php
/**
 * Edit account form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-edit-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $current_user;

$user = $current_user;
?>

<?php wc_print_notices(); ?>
	<div class="align-center"><h3><?php _e( 'My Account', 'rocknrolla' ); ?></h3></div>
	<form class="edit-account" action="" method="post">
		<?php do_action( 'woocommerce_edit_account_form_start' ); ?>
		<div>
			<div class="woo-columns">
				<label for="account_first_name"><?php _e( 'First name', 'rocknrolla' ); ?> <span class="required">*</span></label>
				<input type="text" class="input-text full" name="account_first_name" id="account_first_name" value="<?php echo esc_attr( $user->first_name ); ?>" />
			</div>
			<div class="woo-columns">
				<label for="account_last_name"><?php _e( 'Last name', 'rocknrolla' ); ?> <span class="required">*</span></label>
				<input type="text" class="input-text full" name="account_last_name" id="account_last_name" value="<?php echo esc_attr( $user->last_name ); ?>" />
			</div>
			<div class="woo-columns">
				<label for="account_email"><?php _e( 'Email address', 'rocknrolla' ); ?> <span class="required">*</span></label>
				<input type="email" class="input-text full" name="account_email" id="account_email" value="<?php echo esc_attr( $user->user_email ); ?>" />
			</div>
	
			<div class="woo-columns">
					<label for="password_current"><?php _e( 'Current Password <small>(leave blank to leave unchanged)</small>', 'rocknrolla' ); ?></label>
					<input type="password" class="input-text full" name="password_current" id="password_current" />
			</div>
			<div class="woo-columns">
					<label for="password_1"><?php _e( 'New Password <small>(leave blank to leave unchanged)</small>', 'rocknrolla' ); ?></label>
					<input type="password" class="input-text full" name="password_1" id="password_1" />
			</div>
			<div class="woo-columns">
					<label for="password_2"><?php _e( 'Confirm New Password', 'rocknrolla' ); ?></label>
					<input type="password" class="input-text full" name="password_2" id="password_2" />
			</div>
			<?php do_action( 'woocommerce_edit_account_form' ); ?>
			<div class="woo-columns align-center">
				<?php wp_nonce_field( 'save_account_details' ); ?>
				<p><input type="submit" class="button black small" name="save_account_details" value="<?php _e( 'Save changes', 'rocknrolla' ); ?>" /></p>
				<input type="hidden" name="action" value="save_account_details" />
				
				
			</div>
		</div>
		<?php do_action( 'woocommerce_edit_account_form_end' ); ?>
	</form>