<?php
/**
 * View Order
 *
 * Shows the details of a particular order on the account page.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/view-order.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<?php wc_print_notices(); ?>
		<div class="your-order-header">
				<div data-equal=".order-details">
					<div class="order-container">
						<?php _e( 'Order','rocknrolla' ); ?> <span><?php echo $order->get_order_number(); ?></span>
					</div>
					<div class="row">
						<div class="order-details"><label><?php _e( 'Date','rocknrolla' ); ?></label>
						<?php echo date_i18n( get_option( 'date_format' ), strtotime( $order->order_date ) ); ?></div>
						<div class="order-details"><label><?php _e( 'Total','rocknrolla' ); ?></label>
						<?php echo $order->get_formatted_order_total(); ?></div>
						<div class="order-details"><label><?php _e( 'Payment method','rocknrolla' ); ?></label>
						<?php echo $order->payment_method_title; ?></div>
					</div>
				</div>
		</div>
		<div class="order-status<?php if ( $order->has_status( 'failed' ) ) : ?> failed<?php endif; ?>">
			<h6><?php printf( __( 'Your order is currently <u>%s</u>.', 'woocommerce' ), wc_get_order_status_name( $order->get_status() ) ); ?></h6>
		</div>
		<?php if ( $notes = $order->get_customer_order_notes() ) : ?>
			<h2><?php _e( 'Order Updates', 'woocommerce' ); ?></h2>
			<ol class="woocommerce-OrderUpdates commentlist notes">
				<?php foreach ( $notes as $note ) : ?>
				<li class="woocommerce-OrderUpdate comment note">
					<div class="woocommerce-OrderUpdate-inner comment_container">
						<div class="woocommerce-OrderUpdate-text comment-text">
							<p class="woocommerce-OrderUpdate-meta meta"><?php echo date_i18n( __( 'l jS \o\f F Y, h:ia', 'woocommerce' ), strtotime( $note->comment_date ) ); ?></p>
							<div class="woocommerce-OrderUpdate-description description">
								<?php echo wpautop( wptexturize( $note->comment_content ) ); ?>
							</div>
			  				<div class="clear"></div>
			  			</div>
						<div class="clear"></div>
					</div>
				</li>
				<?php endforeach; ?>
			</ol>
		<?php endif; ?>
		<?php do_action( 'woocommerce_view_order', $order_id ); ?>
	</div>