<?php
/**
 * Display single product reviews (comments)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product-reviews.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */
global $product;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( ! comments_open() ) {
	return;
}

?>
<?php if ( comments_open() ) : ?>

<div class="rnr-grid container">
	<div class="three-row">
		<div id="reviews" class="woocommerce-Reviews">
			
			<div id="comments">
				<div class="align-center reviews-title">
					<h2><?php echo sprintf( __( 'Reviews <span>(%d)</span>', 'rocknrolla' ), $product->get_review_count() ); ?>&#x200E;</h2>
				</div>
		<?php
			$commenter = wp_get_current_commenter();
		
			if ( have_comments() ) :
				
				echo '<div class="comment_container"><ol class="commentlist">';
		
				wp_list_comments( apply_filters( 'woocommerce_product_review_list_args', array( 'callback' => 'woocommerce_comments' ) ) );
		
				echo '</ol>';
		
				if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
						echo '<nav class="woocommerce-pagination">';
						paginate_comments_links( apply_filters( 'woocommerce_comment_pagination_args', array(
							'prev_text' => is_rtl() ? '&rarr;' : '&larr;',
							'next_text' => is_rtl() ? '&larr;' : '&rarr;',
							'type'      => 'list',
						) ) );
						echo '</nav>';
					endif;
				
		
			endif;
			
				
			$comment_form = array(
				'title_reply' => false,
				'comment_notes_before' => '',
				'comment_notes_after' => '',
				'fields' => array(
					'author' => '<div class="row"><div class="rnr-col-1-2">' . '<label for="author">' . __( 'Name', 'rocknrolla' ) . ' <span class="required">*</span></label> ' .
					            '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="30" aria-required="true" /></div>',
					'email'  => '<div class="rnr-col-1-2"><label for="email">' . __( 'Email', 'rocknrolla' ) . ' <span class="required">*</span></label> ' .
					            '<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" aria-required="true" /></div></div>',
				),
				'label_submit' => __( 'Submit Review', 'rocknrolla' ),
				'logged_in_as' => '',
				'comment_field' => ''
			);
		
			if ( get_option('woocommerce_enable_review_rating') == 'yes' ) {
		
				$comment_form['comment_field'] = '<p class="rnr-col-1-1 comment-form-rating clearfix"><label for="rating">' . __( 'Rating', 'rocknrolla' ) .'</label><select name="rating" id="rating">
					<option value="">'.__( 'Rate&hellip;', 'rocknrolla' ).'</option>
					<option value="5">'.__( 'Perfect', 'rocknrolla' ).'</option>
					<option value="4">'.__( 'Good', 'rocknrolla' ).'</option>
					<option value="3">'.__( 'Average', 'rocknrolla' ).'</option>
					<option value="2">'.__( 'Not that bad', 'rocknrolla' ).'</option>
					<option value="1">'.__( 'Very Poor', 'rocknrolla' ).'</option>
				</select></p>';
				
				
			}
		
			$comment_form['comment_field'] .= '<div class="row"><div class="rnr-col-1-1"><label for="comment">' . __( 'Your Review', 'rocknrolla' ) . '</label><textarea id="comment" name="comment" aria-required="true"></textarea></div></div>';
			
			echo '</div>';
		?>
		</div>
		<?php comment_form( apply_filters( 'woocommerce_product_review_comment_form_args', $comment_form ) ); ?>
	</div>
</div>
	
<?php endif; ?>