<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product, $rocknrolla_theme_options;
$attachment_ids = $product->get_gallery_image_ids();
$shop_product_zoom = $rocknrolla_theme_options['rnr_shopproduct_zoom'];


?>
<?php if( $product->has_child() && $product->is_type( 'variable' )) { 
			$available_variations = $product->get_available_variations();
		}
?>
<div id="product-images" class="carousel slick product-images" data-navigation="true" data-autoplay="false" rel="gallery" data-columns="1" data-asnavfor="#product-thumbnails">
            
		<?php if ( $attachment_ids ) {						
				
				foreach ( $attachment_ids as $attachment_id ) {
					$image_link = wp_get_attachment_url( $attachment_id );
					$thumbnail_size    = apply_filters( 'woocommerce_product_thumbnails_large_size', 'full' );
					$image_src_link = wp_get_attachment_image_src($attachment_id, $thumbnail_size);
					$src = wp_get_attachment_image_src( $attachment_id, false, '' );
					$src_small = wp_get_attachment_image_src( $attachment_id,  apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ));
					
					$image_title = esc_attr( get_the_title( $attachment_id ) );
					$attr = '';
					if (isset($available_variations)) {
						foreach($available_variations as $prod_variation) {
					       // var_dump($prod_variation);
						  if ($src_small[0] == $prod_variation['image']['src']) {
						  	$attr .= implode(',', $prod_variation['attributes']) . ',';
						  }
						}
					}
					$attr = trim($attr, ',');
					?>
						<figure itemprop="image"<?php if (true) { ?> class="easyzoom"<?php } ?> data-variation="<?php echo esc_attr($attr); ?>">
							<a href="<?php echo esc_attr($image_src_link[0]); ?>" itemprop="image" class="rnr-fancybox" data-fancybox-group="shop-items"><img src="<?php echo esc_attr($src_small[0]); ?>" title="<?php echo esc_attr($image_title); ?>" /></a>
						</figure>
					
					<?php
				}
			}
		?>
</div>